Skip to main content
PUT
/
crm
/
objects
/
2025-09
/
{objectType}
/
{objectId}
/
associations
/
{toObjectType}
/
{toObjectId}
Create
curl --request PUT \
  --url https://api.hubapi.com/crm/objects/2025-09/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "associationCategory": "HUBSPOT_DEFINED",
    "associationTypeId": 123
  }
]
'
{
  "createdResourceId": "<string>",
  "entity": {
    "fromObjectId": "<string>",
    "fromObjectTypeId": "<string>",
    "labels": [
      "<string>"
    ],
    "toObjectId": "<string>",
    "toObjectTypeId": "<string>"
  },
  "location": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required
objectType
string
required
toObjectId
string
required
toObjectType
string
required

Body

application/json
associationCategory
enum<string>
required

The category of the association, such as "HUBSPOT_DEFINED".

Available options:
HUBSPOT_DEFINED,
INTEGRATOR_DEFINED,
USER_DEFINED
associationTypeId
integer<int32>
required

The ID representing the specific type of association.

Response

successful operation

Contains the details of the labels that were created to define associations between a specific pair of objects.

createdResourceId
string
required

The unique identifier of the newly created resource.

entity
object
required

The relationship descriptors applicable between two object types.

location
string

The URL location of the newly created resource.

Last modified on January 28, 2026